java.lang

## Class InternalError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.VirtualMachineError
      - - java.lang.InternalError

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ZipError

      public class InternalError
      extends VirtualMachineError

  Thrown to indicate some unexpected internal error has occurred in the Java Virtual Machine.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalError()` Constructs an `InternalError` with no detail message.
    `InternalError(String s)` Constructs an `InternalError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalError

          public InternalError()

      Constructs an `InternalError` with no detail message.

    - #### InternalError

          public InternalError(String s)

      Constructs an `InternalError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.